Bug 233455 - Review Request: autodir - Creates user directories on demand
Review Request: autodir - Creates user directories on demand
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernard Johnson
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-22 11:09 EDT by Matthias Saou
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-13 14:09:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bjohnson: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Saou 2007-03-22 11:09:21 EDT
Spec URL: http://ftp.es6.freshrpms.net/tmp/extras/autodir/autodir.spec
SRPM URL: http://ftp.es6.freshrpms.net/tmp/extras/autodir/autodir-0.99.8-2.src.rpm
Description:
Autodir offers a simple and effective means to create directories like home
directories in a transparent manner. It relies on the autofs protocol for its
operation.
Comment 1 Matthias Saou 2007-04-18 05:53:55 EDT
Spec URL: http://ftp.es6.freshrpms.net/tmp/extras/autodir/autodir.spec
SRPM URL: http://ftp.es6.freshrpms.net/tmp/extras/autodir/autodir-0.99.9-1.src.rpm

* Wed Apr 18 2007 Matthias Saou <http://freshrpms.net/> 0.99.9-1
- Update to 0.99.9.
Comment 2 Bernard Johnson 2007-05-04 12:15:44 EDT
I'm just getting started on this, so I'm not deep into it yet.

Noticed this with rpmlint:

W: autodir strange-permission autogroup.init 0755
W: autodir strange-permission autohome.init 0755

These are because your *init files are mode 0755.  If you change those to 0644
this will go away.  It should't affect the package otherwise because you install
-m 0755 during the rpm build.
Comment 3 Bernard Johnson 2007-05-04 22:39:10 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: FC-6 / i386
 [x] Rpmlint output:
       W: autodir strange-permission autogroup.init 0755
       W: autodir strange-permission autohome.init 0755
 [x] Package is not relocatable.
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     MD5SUM this package    : 8cc947aa7507b65bb6b8e3ee95707e29
     MD5SUM upstream package: 8cc947aa7507b65bb6b8e3ee95707e29
 [x] Package is not known to require ExcludeArch, OR:
     Arches excluded:
     Why:
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [!] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: FC-6 / i386
 [-] Package should compile and build into binary rpms on all supported
architectures.
     Tested on:
 [x] Package functions as described.
 [x] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files are correct.
 [-] File based requires are sane.


=== Issues ===
1. Fix file permissions on init scripts in srpm.
2. Missing Requires on initscripts
3. Missing Requires(post) /sbin/chkconfig, Requires(preun) /sbin/chkconfig,
/sbin/service, and Requires(postun) /sbin/service
4. Please source a source0 for sourceforge like this:
http://fedoraproject.org/wiki/PackagingDrafts/SourceUrl?#head-27442167fe28eb345470e8db56716d62b508978c
5. You should not use %makeinstall unless you have a very good reason. 
http://fedoraproject.org/wiki/PackagingDrafts/MakeInstall

=== Final Notes ===
1. Your build root is the least preferable of the three allowed:
http://fedoraproject.org/wiki/Packaging/Guidelines#head-b4fdd45fa76cbf54c885ef0836361319ab962473
I usually recommend the 2nd (show above as well)
Comment 4 Matthias Saou 2007-05-07 07:07:38 EDT
Issues :
1. The file permissions in the srpm aren't an issue as long as proper
permissions are set at prep/build/install time. IMHO this is an annoying rpmlint
false positive check.
2. This is the first time I read about a requirement on "initscripts" :-/ (*)
3. Good catch. Fixed.
4. Source0 updated.
5. Good catch. Fixed.

Buildroot : I prefer this one.

Spec URL: http://ftp.es6.freshrpms.net/tmp/extras/autodir/autodir.spec
SRPM URL: http://ftp.es6.freshrpms.net/tmp/extras/autodir/autodir-0.99.9-2.src.rpm

* Mon May  7 2007 Matthias Saou <http://freshrpms.net/> 0.99.9-2
- Add missing scriplets requirements.
- Update sf.net source URL.
- Switch away from %%makeinstall.

(*) I don't think this should be required, as it is a basic component of the
system, assumed to be available at runtime. Install and remove time is a
different matter, since we really do require bits of initscripts (chkconfig,
service) to have the package properly installed and erased, especially for build
chroots.
Comment 5 Bernard Johnson 2007-05-07 16:15:14 EDT
(In reply to comment #4)
> Issues :
> 1. The file permissions in the srpm aren't an issue as long as proper
> permissions are set at prep/build/install time. IMHO this is an annoying rpmlint
> false positive check.

Well, not a false positive, because it is accurate.  Annoying, yes, if you want
to have executables.

There are a few reasons to want 0644 on these files:
1) you might not be the maintainer for this some time in the future and someone
else might wonder why you are shipping them +x even though rpmlint is complaining
2) there really is no reason to have them +x in this package since the %prep or
%build section does not run them directly.

> 2. This is the first time I read about a requirement on "initscripts" :-/ (*)

I asked in #fedora-devel to make sure and was told that initscripts can not be
implied to be installed on the system.


> Buildroot : I prefer this one.

OK with me then.
Comment 6 Matthias Saou 2007-05-08 10:39:32 EDT
Regarding 1), I had already "chmod -x"'ed the files.

2) IRC is not a place to expect "official" answers. I've gone through all of the
guidelines and found no mention of an initscripts requirement. The parent
directory ownership guidelines might apply here, but again, this is a special
case, since no working installed system can not have initscripts, since the
Linux kernel package itself requires it. See also spot's answer on this :
https://www.redhat.com/archives/fedora-packaging/2007-May/msg00028.html
Comment 7 Bernard Johnson 2007-05-09 18:02:02 EDT
(In reply to comment #6)
> Regarding 1), I had already "chmod -x"'ed the files.

I didn't have time to take a look at the latest srpm before I commented.
 
> 2) IRC is not a place to expect "official" answers. I've gone through all of the
> guidelines and found no mention of an initscripts requirement. The parent
> directory ownership guidelines might apply here, but again, this is a special
> case, since no working installed system can not have initscripts, since the
> Linux kernel package itself requires it. See also spot's answer on this :
> https://www.redhat.com/archives/fedora-packaging/2007-May/msg00028.html

You will not find an official answer on #fedora-devel or the mailing list
because there is none.

I'm not going to hold up your package since this issue is not mandated either
for or against by the guidelines of the FPC.  Please follow the thread that you
started and if strong opinions weigh in on either side, take it into
consideration and make appropriate changes post-import.

================
*** APPROVED ***
================

Comment 8 Matthias Saou 2007-05-10 04:36:45 EDT
New Package CVS Request
=======================
Package Name: autodir
Short Description: Creates user directories on demand
Owners: matthias@rpmforge.net
Branches: devel FC-6 FC-5 EL-4 EL-5
InitialCC: 
Comment 9 Warren Togami 2007-05-10 16:00:38 EDT
actually, CVS is screwing up right now, need to try this again later
Comment 10 Matthias Saou 2007-05-13 14:09:41 EDT
I still need to fix some build requirements for old branches, but all recent
branches have now been built. Thanks for the review, Bernard!

Note You need to log in before you can comment on or make changes to this bug.